티켓 제목 수정

지정한 티켓의 제목을 수정합니다.

필요 권한

사용자 이상의 계정으로 이용할 수 있습니다.

HTTP 요청

PUT /api/sonar/tickets/:guid/title
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     -d title="Updated title" \
     -X PUT \
     https://HOSTNAME/api/sonar/tickets/201dc306-5ef7-4d4f-b872-1fa0f4d7dc56/title
요청 매개변수
필수타입설명비고
guidO문자열티켓 GUID36자
titleO문자열제목최소 1자, 최대 255자

정상 응답

{}

오류 응답

필수 매개변수가 누락된 경우

HTTP 상태 코드 400 응답

{
  "error_code": "null-argument",
  "error_msg": "title should be not null"
}
티켓 식별자가 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-param-type",
  "error_msg": "guid should be guid type."
}
매개변수 값의 길이가 잘못된 경우

HTTP 상태 코드 400 응답

{
  "error_code": "invalid-argument",
  "error_msg": "'title' must be shorter than or equal to 255 characters."
}
티켓이 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
  "error_code": "illegal-state",
  "error_msg": "ticket not found: 201dc306-5ef7-4d4f-b872-1fa0f4d7dc57"
}